﻿<table style="width: 100%; margin: 0 auto; text-align: center; vertical-align: top" >
    <tr>
        <td style="width:300px;">
            @using (Html.BeginForm("CallbackUpload", "SHIPPING_SCHEDULE", FormMethod.Post))
            {

                @Html.DevExpress().UploadControl(
        Uploader =>
        {
            Uploader.Name = "UploadMOP";
            Uploader.CallbackRouteValues = new { Controller = "MonthlyOrderPlanningInquiry", Action = "CallbackUpload" };
            Uploader.ShowProgressPanel = false;
            //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
            Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
            Uploader.Width = 300;

        }).GetHtml()
            }
        </td>
        <td style="padding-left:1em;">
            @Html.DevExpress().Button(Button =>
            {
                Button.Name = "cmdUpload";
                //remaks agi 2017-11-28
                //Button.Text = "Upload";
                Button.Text = "Search by Upload";
                Button.Width = 140;
                Button.ClientSideEvents.Click = "UploadData";
                //Button.Style.Add("display", "inline-table");
                Button.UseSubmitBehavior = true;
                Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-02", "UPLOAD");

            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td></td>
        <td style="padding-left:15px;text-align:left;">
            @Html.DevExpress().HyperLink(Link =>
           {
               Link.Name = "DownloadTemplateUploadSearchLink";
               Link.Properties.Text = "Download Template";
               Link.Width = 150;
               //Link.NavigateUrl = "Template/TemplateUploadReviseMOP.csv";
               Link.Style.Add("display", "inline-table");
           }).GetHtml()
        </td>
    </tr>
</table>
